curl --request PATCH \
--url https://api.hubapi.com/crm/v3/extensions/cards-dev/{appId}/{cardId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actions": {
"baseUrls": [
"https://www.example.com/hubspot"
]
},
"display": {
"properties": [
{
"dataType": "STRING",
"label": "Pets Name",
"name": "pet_name"
}
]
},
"fetch": {
"objectTypes": [
{
"name": "contacts",
"propertiesToSend": [
"email",
"firstname"
]
}
],
"targetUrl": "https://www.example.com/hubspot/target"
},
"title": "PetSpot"
}
'import requests
url = "https://api.hubapi.com/crm/v3/extensions/cards-dev/{appId}/{cardId}"
payload = {
"actions": { "baseUrls": ["https://www.example.com/hubspot"] },
"display": { "properties": [
{
"dataType": "STRING",
"label": "Pets Name",
"name": "pet_name"
}
] },
"fetch": {
"objectTypes": [
{
"name": "contacts",
"propertiesToSend": ["email", "firstname"]
}
],
"targetUrl": "https://www.example.com/hubspot/target"
},
"title": "PetSpot"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actions: {baseUrls: ['https://www.example.com/hubspot']},
display: {properties: [{dataType: 'STRING', label: 'Pets Name', name: 'pet_name'}]},
fetch: {
objectTypes: [{name: 'contacts', propertiesToSend: ['email', 'firstname']}],
targetUrl: 'https://www.example.com/hubspot/target'
},
title: 'PetSpot'
})
};
fetch('https://api.hubapi.com/crm/v3/extensions/cards-dev/{appId}/{cardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actions": {
"baseUrls": [
"https://www.example.com/hubspot"
]
},
"auditHistory": [
{
"applicationId": 123,
"changedAt": 123,
"initiatingUserId": 123,
"objectTypeId": 123
}
],
"display": {
"properties": [
{
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"name": "<string>"
}
]
}
]
},
"fetch": {
"objectTypes": [
{
"propertiesToSend": [
"<string>"
]
}
],
"targetUrl": "<string>"
},
"id": "<string>",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update a CRM card
Mettez à jour une définition de carte avec de nouveaux détails.
Supported products
Supported products
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
L'ID de l'application contenant la carte CRM héritée
L'ID de l'application contenant la carte CRM héritée
Corps
Body for a patch with optional fields
Configuration for custom user actions on cards.
Show child attributes
Show child attributes
{ "baseUrls": ["https://www.example.com/hubspot"] }
Configuration for displayed info on a card
Show child attributes
Show child attributes
Variant of CardFetchBody with fields as optional for patches
Show child attributes
Show child attributes
Le titre de niveau supérieur pour cette carte. Affiché aux utilisateurs dans l'interface CRM.
Réponse
successful operation
Configuration for custom user actions on cards.
Show child attributes
Show child attributes
{ "baseUrls": ["https://www.example.com/hubspot"] }
Une liste des actions effectuées sur la carte, y compris la création, la suppression et les mises à jour.
Show child attributes
Show child attributes
Configuration for displayed info on a card
Show child attributes
Show child attributes
Show child attributes
Show child attributes
L'ID unique de la carte.
Le titre de niveau supérieur pour cette carte. Affiché aux utilisateurs dans l'interface CRM.
La date et l'heure de création de la carte.
La date et heure de la dernière mise à jour de la carte.